class DelegationController < ApplicationController
  def create
    h = request.headers.env.select{|k, _| k.in?(ActionDispatch::Http::Headers::CGI_VARIABLES) || k =~ /^HTTP_/}
    endpoint = params.delete("_delegation_endpoint")
    method = params.delete("_delegation_method")
    module_id = params.delete("_delegation_module_id")

    module_id = "rx_universe_api" if module_id == "rxuniverse_api"
    component = Component.resolve(module_id)
    r = RxModule::Communicator.client.send(method, component.resolve_endpoint(endpoint), params.permit!.to_h, h)

    is_json = r.headers["content-type"]&.include?("application/json")
    if is_json
      render json: JSON.parse(r.body), status: r.status
    else
      render plain: r.body, status: r.status
    end

  end
end
