import * as React from 'react';
import {ModelTable, useModelContext} from "@rx-suite/ui";
import {TabPanel} from "../component_permissions/TabPanel";
import {RoleModel} from "../../stores/RoleStore";
import {t} from "@lingui/macro";
import {UserStore} from "../../stores/UserStore";
import {DataStore, Model} from "@rx-suite/data";

type Props = {
    value: number
    index: number
}

export const RoleFormMembersTab: React.FunctionComponent<Props> = ({value, index}) => {
    const model = useModelContext() as RoleModel;

    const columns = React.useMemo(() => {
        return [
            {Header: t`Name`, accessor: "name"},
            {Header: t`Email`, accessor: "email"}
        ]
    }, []);

    return (
        <TabPanel value={value} index={index}>
            <ModelTable
                store={UserStore as unknown as DataStore<Model>}
                defaultFiltered={[
                    {id: "role_id", value: model.getId()},
                ]}
                showCreateButton={false}
                suppressWrapper
                columns={columns}
            />
        </TabPanel>
    )
}