class ChangeTimeFormatConfigsToSystemSettings < ActiveRecord::Migration[6.0]
  def up
    rename_table :time_format_configs, :system_settings

    rename_column :system_settings, :separator, :date_time_separator
    add_column :system_settings, :lens_tray_orientation, :integer, default: 0

    execute("update system_settings set lens_tray_orientation = 0")
  end

  def down
    rename_table :system_settings, :time_format_configs

    rename_column :time_format_configs, :date_time_separator, :separator
    remove_column :time_format_configs, :lens_tray_orientation, :integer
  end
end
